
Infrastructure - Task #684

Story # 913 (Closed): Verify CN-CN replication is working

Write tests for CN-CN replication

2010-06-22 02:42 - Dave Vieglais

Status: Closed Start date: 2011-12-12

Priority: Normal Due date:  

Assignee: Rob Nahf % Done: 100%

Category: d1_integration Estimated time: 0.00 hour

Target version: Sprint-2012.01-Block.1.1   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

Verify replication is operational.  Insert and modify at a node should be replcated to the other nodes.  Need to test this operates as

expected.  Using the Metacat MN API exposed by the CN service (hidden in production), use a DataONE client to create() content on

a CN.  Poll the CN and the other CNs for the new object.  Track the time that it takes for the transfer to complete.  Verify that the

system metadata and the object (science metadata) are replicated as expeted.

Subtasks:

Task # 2132: create CNCNReplicationIT Rejected

History

#1 - 2010-10-06 17:13 - Chad Berkley

- Parent task set to #913

#2 - 2010-10-07 12:27 - Dave Vieglais

- Start date set to 2010-10-07

- Tracker changed from Bug to Task

#3 - 2011-11-28 20:45 - Rob Nahf

- Subject changed from Verify replication is operational to Write tests for CN-CN replication

- Category changed from Metacat to d1_integration

- Assignee changed from Chad Berkley to Rob Nahf

- Milestone set to CCI-1.0.0

#4 - 2011-12-12 20:00 - Rob Nahf

- % Done changed from 0 to 10

- Status changed from New to In Progress

It was suggested to avoid cn.create as the way to test, because that method is not exposed (callable) via the cn-rest-service.

Instead, compare conformity of existing objects on each of the CN instances.

#5 - 2011-12-12 21:20 - Rob Nahf

- translation missing: en.field_remaining_hours deleted (0.0)

created basic test for objectinfo consistency between CN instances.

Will probably need refinements - there's a good chance that objectlists are not completely identical.

filter out objects modified in the last 5 minutes.

should all fields be used for the comparison?

should I have more subtests, to be more informative (use parameterized tests, in that case).
Will run when we have a couple CNs synchronizing.

#6 - 2012-01-10 21:37 - Rob Nahf

- Status changed from In Progress to Closed

- translation missing: en.field_remaining_hours set to 0.0

#7 - 2012-01-10 21:38 - Rob Nahf

successfully ran CNCNReplicationIT against cn-dev & cn-dev-3.
